//interfejs dla przefiltrowanych (tylko niezbędnych) danych dla mapy
export interface SimpleAdEntity {
    id: string;
    lat: number;    //latitude - szerokośc geograficzna
    lon: number;    //longitude - długość geograficzna
}

export interface AdEntity extends SimpleAdEntity {
    name: string;
    description: string;
    price: number;
    url: string;
}

//tworzymy nowy interfejs z istniejącego
export interface NewAdEntity extends Omit<AdEntity, 'id'> {
    id?: string;
}

